aboutsummaryrefslogtreecommitdiff
path: root/system/synaptics/synaptics.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/synaptics/synaptics.SlackBuild')
-rw-r--r--system/synaptics/synaptics.SlackBuild68
1 files changed, 68 insertions, 0 deletions
diff --git a/system/synaptics/synaptics.SlackBuild b/system/synaptics/synaptics.SlackBuild
new file mode 100644
index 0000000000000..621bc7a069909
--- /dev/null
+++ b/system/synaptics/synaptics.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+# Verify script is being run by root user.
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+NAME=synaptics
+VERSION=0.14.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$NAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+tar -jxvf $CWD/$NAME-$VERSION.tar.bz2 || exit 1
+cd $NAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make || exit 1
+
+# Install and strip binaries
+install -D -m 0755 synclient $PKG/usr/bin/synclient
+install -D -m 0755 syndaemon $PKG/usr/bin/syndaemon
+strip --strip-unneeded $PKG/usr/bin/*
+
+# Figure out where to install the driver (needs work, but it's fine for now)
+if [ -d /usr/X11R6/lib/modules ]; then
+ DRIVER_DIR=/usr/X11R6/lib/modules
+else
+ echo "Couldn't determine directory to install Synaptics driver."
+ echo "Please contact SlackBuild author."
+ exit 1
+fi
+install -D -m 444 synaptics_drv.o $PKG/$DRIVER_DIR/input/synaptics_drv.o
+
+# Install and compress man pages
+mkdir -p $PKG/usr/man/man{1,5}
+cat manpages/synclient.1 | gzip -9c > $PKG/usr/man/man1/synclient.1.gz
+cat manpages/syndaemon.1 | gzip -9c > $PKG/usr/man/man1/syndaemon.1.gz
+cat manpages/synaptics.5 | gzip -9c > $PKG/usr/man/man5/synaptics.5.gz
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a \
+ COMPATIBILITY FILES INSTALL* LICENSE NEWS README* TODO trouble-shooting.txt \
+ $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz